Subject: Re: [hybi] hybi-09 refs

From: Julian Reschke <[email-masked]>
Date: Mon, 11 Jul 2011 15:28:43 +0200

On 2011-06-18 12:12, Julian Reschke wrote:
> ...
> REC-wsc-ui-20100812: [REC] ok
> WSAPI: not checked
>
> Note:
>
> RFC3490: [PROPOSED STANDARD] obsoleted by RFC5890 RFC5891
> RFC3548: [INFORMATIONAL] obsoleted by RFC4648
> draft-ietf-httpstate-cookie-20: Alternate version available: 23, later
> published as: RFC6265
> WSAPI: not checked
>
>
> The first three should be updated (with IDNA probably being tricky :-().
>
> The last one is
>
> [WSAPI] Hickson, I., "The Web Sockets API", August 2010,
> <http://dev.w3.org/html5/websockets/>.
>
> and needs to be updated as well. To enable automated checking with
> <http://greenbytes.de/tech/webdav/rfc2629xslt/rfc2629xslt.html#checking-references>,
> I'd make it:
>
> <reference anchor='WD-websockets'
> target='http://www.w3.org/TR/2011/WD-websockets-20110419/'>
> <front>
> <title>The WebSocket API</title>
> <author fullname='Ian Hickson' surname='Hickson' initials='I.'/>
> <date year='2011' month='April' day='19'/>
> </front>
> <seriesInfo name='W3C Working Draft' value='WD-websockets-20110419'/>
> <annotation>
> Latest version available at
> <eref target='http://www.w3.org/TR/websockets/'/>.
> </annotation>
> </reference>

Apparently this wasn't fixed (the spec still references a draft dated 
August 2010).

Also, new:

	[I-D.ietf-websec-origin]	
			Barth, A., "The Web Origin Concept",	
			draft-ietf-websec-origin-00 (work in progress),	
			December 2010.

I believe this has been replaced by

   <http://tools.ietf.org/html/draft-ietf-websec-origin-02>

(Adam, you should tell the IETF secretariat about replacements like 
these so that the pub database is correct).

Best regards, Julian

---

From: Julian Reschke <[email-masked]>
Date: Mon, 11 Jul 2011 15:31:17 +0200

> these so that the pub database is correct).

Sorry, my confusion. ID base name is indeed is the same.